Cards, prop trading & accounting

Get Prop Trader Payout Options

Lists the caller's eligible bank accounts, verified USD-stablecoin wallet routes, current preference and FX markup.

GEThttps://api.toku.com/hris/get-prop-trader-payout-options

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-prop-trader-payout-options' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "preference": {
    "method": "BANK_TRANSFER",
    "cryptoTokenTypeID": "string",
    "cryptoOrgNetworkID": "string",
    "bankAccountID": "string",
    "updatedAt": "string"
  },
  "hasEligibleBankAccount": true,
  "bankAccounts": [
    {
      "hrisBankAccountId": "string",
      "currencyCode": "string",
      "bankName": "string",
      "accountNumberLastFour": "string",
      "isPrimary": true
    }
  ],
  "walletRoutes": [
    {
      "tokenTypeID": "string",
      "orgNetworkID": "string",
      "tokenLabel": "string",
      "networkLabel": "string",
      "walletLabel": "string",
      "walletAddress": "string"
    }
  ],
  "fxDisclosure": {
    "markupBps": 0
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
preferenceobject | nullrequired
Show child attributes
methodstringrequired

Available options: BANK_TRANSFER, CRYPTO_WALLET

cryptoTokenTypeIDstring | nullrequired
cryptoOrgNetworkIDstring | nullrequired
bankAccountIDstring | nullrequired
updatedAtstringrequired
hasEligibleBankAccountbooleanrequired
bankAccountsobject[]required
Show child attributes
hrisBankAccountIdstringrequired
currencyCodestring | nullrequired
bankNamestring | nullrequired
accountNumberLastFourstring | nullrequired
isPrimarybooleanrequired
walletRoutesobject[]required
Show child attributes
tokenTypeIDstringrequired
orgNetworkIDstringrequired
tokenLabelstringrequired
networkLabelstringrequired
walletLabelstringrequired
walletAddressstringrequired
fxDisclosureobjectrequired
Show child attributes
markupBpsintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits